SMAO API Documentation
Public APIGroups

Create a group

POST
/groups
AuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the SMAO dashboard (Settings → API Keys).

In: header

typestring
Value in"contacts" | "knowledges" | "forwardings" | "glossaries" | "pronunciations"
namestring

Trimmed of leading/trailing whitespace before storage.

Length1 <= length <= 200
description?string
Default""
Lengthlength <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.smao.ai/api/v1/groups" \  -H "Content-Type: application/json" \  -d '{    "type": "contacts",    "name": "string"  }'
{
  "data": {
    "id": "string",
    "type": "contacts",
    "name": "VIP Customers",
    "description": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "validation_failed",
    "message": "Validation failed"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing API key"
  }
}
{
  "error": {
    "code": "subscription_required",
    "message": "This feature is not available in your current subscription. Please upgrade to a higher plan"
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "No permission"
  }
}
{
  "error": {
    "code": "conflict",
    "message": "Group is assigned to an assistant"
  }
}
{
  "error": {
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded"
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "An unexpected error occurred."
  }
}